# Interface: MigrationsJson

## Table of contents

### Properties

- [collection](../../devkit/documents/MigrationsJson#collection): string
- [generators](../../devkit/documents/MigrationsJson#generators): Object
- [name](../../devkit/documents/MigrationsJson#name): string
- [packageJsonUpdates](../../devkit/documents/MigrationsJson#packagejsonupdates): PackageJsonUpdates
- [schematics](../../devkit/documents/MigrationsJson#schematics): Object
- [version](../../devkit/documents/MigrationsJson#version): string

## Properties

### collection

• `Optional` **collection**: `string`

---

### generators

• `Optional` **generators**: `Object`

#### Index signature

▪ [name: `string`]: `MigrationsJsonEntry`

---

### name

• `Optional` **name**: `string`

---

### packageJsonUpdates

• `Optional` **packageJsonUpdates**: `PackageJsonUpdates`

---

### schematics

• `Optional` **schematics**: `Object`

#### Index signature

▪ [name: `string`]: `MigrationsJsonEntry`

---

### version

• `Optional` **version**: `string`
